This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 172428 - Review Request: acpitool - A command line ACPI client for Linux
Review Request: acpitool - A command line ACPI client for Linux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
http://freeunix.dyndns.org:8088/site2...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-04 05:37 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 15:40:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2005-11-04 05:37:16 EST
SRPM Name or Url: fttp://www.environnement.ens.fr/perso/dumas/fc-srpms/acpitool-0.3.0-2.src.rpm

Description: 

AcpiTool is a Linux ACPI client. It's a small command line application,
intended to be a replacement for the apm tool. The primary target
audience are laptop users, since these people are most interested in
things like battery status, thermal status and the ability to suspend
(sleep mode). The program simply accesses the /proc/acpi or /sysfs entries
to get/set acpi values. Hence, a computer running a Linux kernel from
the 2.4.x or 2.6.x series with ACPI enabled is needed.
Comment 1 Patrice Dumas 2005-11-05 18:30:50 EST
The correct url is in fact:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/acpitool-0.3.0-2.src.rpm
Comment 2 John Mahowald 2005-11-10 12:18:23 EST
`-mcpu=' is deprecated. Use `-mtune=' or '-march=' instead.

Specify CXXFLAGS to configure, like %configure CXXFLAGS=%{_optflags}

Good:
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Have not tested yet.
Comment 3 Patrice Dumas 2005-11-10 18:39:10 EST
%configure allready defines CXXFLAGS to the right value; the issue is in the
upstream configure.in script where compiler flags are setting although they
shouldn't. I have patched the configure script, now it uses the optflags. See
the srpm here:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/acpitool-0.3.0-3.src.rpm

I also have contacted the upstream.
Comment 4 John Mahowald 2005-11-10 21:26:04 EST
Clean build now. APPROVED
Comment 5 Christian Iseli 2006-10-18 08:50:59 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.